Test contextual data integration
curl --request POST \
--url https://api.coralogix.com/mgmt/openapi/5/integrations/contextual-data/v1/test/{integration_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"integrationData": {
"integrationKey": "<string>",
"integrationParameters": {
"parameters": [
{
"stringValue": "<string>",
"apiKey": {
"id": "<string>",
"value": "<string>"
},
"booleanValue": true,
"key": "<string>",
"numericValue": 123,
"sensitiveData": {},
"stringList": {
"values": [
"<string>"
]
}
}
]
},
"version": "<string>"
}
}
'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/integrations/contextual-data/v1/test/{integration_id}"
payload = { "integrationData": {
"integrationKey": "<string>",
"integrationParameters": { "parameters": [
{
"stringValue": "<string>",
"apiKey": {
"id": "<string>",
"value": "<string>"
},
"booleanValue": True,
"key": "<string>",
"numericValue": 123,
"sensitiveData": {},
"stringList": { "values": ["<string>"] }
}
] },
"version": "<string>"
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
integrationData: {
integrationKey: '<string>',
integrationParameters: {
parameters: [
{
stringValue: '<string>',
apiKey: {id: '<string>', value: '<string>'},
booleanValue: true,
key: '<string>',
numericValue: 123,
sensitiveData: {},
stringList: {values: ['<string>']}
}
]
},
version: '<string>'
}
})
};
fetch('https://api.coralogix.com/mgmt/openapi/5/integrations/contextual-data/v1/test/{integration_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"success": {},
"failure": {
"errorMessage": "<string>"
}
}
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Contextual Data Integration Service
Test contextual data integration
Tests the specified contextual data integration.
Requires the following permissions:
contextual-data:UpdateConfig
Test contextual data integration
Authorizations
API key authentication
Path Parameters
The unique identifier of the contextual data integration to test.
Body
application/json
Request for testing a contextual data integration.
This data structure represents the metadata of an integration.
Show child attributes
Show child attributes
Response
Response containing the results of a contextual data integration test.
Test integration result.
- Test integration result
- Test integration result
- Test integration result
Show child attributes
Show child attributes
Was this page helpful?
⌘I